class Circle: public BasedFigure {
    double radius;
public:
    Circle(Point base, double radius): 
        BasedFigure(base),radius(radius){}
    double getRadius() { return radius; }
    virtual Rectangle getBounds() {
        return Rectangle(
            getBase(),
            Point(
                getBase().x + (int) (2 * radius + 0.5),
                getBase().y + (int) (2 * radius + 0.5)
            )
        );
    }
};
